---
table_name: issuable_resource_links
classes:
- IncidentManagement::IssuableResourceLink
feature_categories:
- incident_management
description: Persists resources links for an issuable, particularly incident.
introduced_by_url: https://gitlab.com/gitlab-org/gitlab/-/merge_requests/88417
milestone: '15.1'
gitlab_schema: gitlab_main_cell
allow_cross_foreign_keys:
- gitlab_main_clusterwide
desired_sharding_key:
  namespace_id:
    references: namespaces
    backfill_via:
      parent:
        foreign_key: issue_id
        table: issues
        sharding_key: namespace_id
        belongs_to: issue
table_size: small
